Subject: RE: New revision of the MPLS ttl draft

From: Shahram Davari <[email-masked]>
Date: Fri, 12 Oct 2001 06:23:53 -0700

Hi Eric,

> 
> 
> Shahram,
> 
>     I think you presuppose an application that suits your argument.
> 
>     I can imagine applications that benefit from having an SLA fixed
> value of TTL decrement other than one.
> 

Could you please give an example.

-Shahram

> You wrote:
> 
> > Puneet,
> >
> > >Much
> > > like for IP,
> > > where a node can decrement the TTL by more than 1 (rfc1812),
> > > we leave the
> > > door open for service providers to configure their egress
> > > LSRs to decrement
> > > by more than 1.
> >
> > When a provider decides to decrement more than 1, it means 
> that the provider is willing to store customers' TTL policy 
> (decrement value). In that case he might store the Diffserv 
> policy (PHB<=>EXP) as well and therefore use the short pipe.
> >
> > >In (C), the service providers egress LSR *is* doing
> > > deterministic (customer independent) TTL processing.
> >
> > Anything which is configurable can't be deterministic 
> unless either signaled or written in the SLA. The signaling 
> is not desirable, and writing it in SLA, means that it can't 
> be changed quickly, which defeats the purpose of subtracting 
> more than one.
> >
> > Yours,
> > -Shahram
> 
> --
> Eric Gray (mailto:[email-masked])
> http://www.mindspring.com/~ewgray
> 
> 
>

---

From: Eric Gray <[email-masked]>
Date: Fri, 12 Oct 2001 14:11:20 -0400

Shahram,

    Certainly.

    An service provider may provide multiple separate paths between
multiple enterprise sites - some sites perhaps consisting of multiple
interconnected buildings.  Perhaps the service used to connect one
path between two such sites is known to be more expensive and is
primarily intended to carry only a specific subset of the traffic - but
is intended also to be available for other traffic during a network fault
condition.

    In addition to asking the enterprise to assign a high link cost to the
link associated with this service, the service provider may very well
wish to assign a higher TTL decrement to this link as well (intending
to emulate a 'longer' link).  This would - for instance - reduce the
impact of looping traffic that might occur because of misconfiguration
of an enterprise router.  It will also effectively 'tax' packets at a higher
rate for using this link.